Subject: [saag] kitten report

From: Benjamin Kaduk <[email-masked]>
Date: Wed, 16 Nov 2016 15:22:23 -0600

kitten is not meeting in Seoul.

Since Berlin, we published RFC 8009 (AES Encryption with HMAC-SHA2 for
Kerberos 5) and have sent draft-ietf-kitten-rfc6112bis and
draft-ietf-kitten-pkinit-freshness to the IESG.
draft-ietf-kitten-pkinit-alg-agility and draft-ietf-kitten-rfc5653bis
should be ready soon as we try to clear some of the backlog of documents
that has accumulated.  We have been getting help with document shepherding
from Matt Rogers, giving the chairs some more time for other organizational
tasks.  We are happy with our experiment in declaring WG consensus without
an explicit WGLC period, but do not have our tracking infrastructure set
up quite how we want yet.  We have some exciting individual documents
waiting in the wings for SPAKE/multifactor preauthentication and
improved service discovery using DNS that we hope to adopt as WG
documents before Chicago.

-Ben